Subject: RE: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes

From: Drew Adams <[email-masked]>
Date: Fri, 30 Oct 2015 08:07:54 -0700 (PDT)

> > I think now that what I did earlier, when specified utf-8, I was
> > using my setup.  When I try that again (with my setup), I see the
> > problem I reported.
> 
> So the question now becomes what do you have in your setup that causes
> this.  I'm guessing you do something that changes the defaults for
> encoding/decoding text.

I have tons of stuff in my setup.  Let me know what I might search
for that might affect encoding/decoding.

> > Also, with my setup the *Warning* text is different.  Instead of
> > providing lots of possible encoding choices and using
> > chinese-iso-8bit as the default (which is what I get with emacs
> > -Q - why is that, BTW?), it says:
> >
> > Select one of the safe coding systems listed below,
> > or cancel the writing with C-g and edit the buffer
> >    to remove or modify the problematic characters,
> > or specify any other coding system (and risk losing
> >    the problematic characters).
> >
> >   raw-text no-conversion
> 
> What its suggests depend on your customizations.

Such as?  Again, could it be affected by the default font choice?

> > > UTF-8 should have worked.  I wouldn't expect you to see octal escapes
> > > after saving in UTF-8.
> >
> > See above for, I think, the explanation of what I did and saw.
> 
> It doesn't.  You have something in your customizations that runs afoul
> of your expectations (which do work in "emacs -Q").

Please read again what I said about the crash.  I think it
at least explains why I saw octal escapes when I visited
the last-saved file - it was saved with raw text.  Only the
auto-save file was saved with utf-8.  When I visited the file
in a new session, it showed the octal escapes because it was
saved as raw text.

Why that happened I'm not sure.  Perhaps when I did `C-x C-w'
the *Help* buffer was first saved as raw text (?), then
autosaved as utf-8, then the crash interrupted finally
resaving the file itself as utf-8 (?).

You will need to give me an idea what to look for, if I am to
try hunting for something in my init file and all that it loads.

One thing I do is this, to get Unix-style line endings:
(setq-default buffer-file-coding-system 'undecided-unix)

And I do this:
(setq process-coding-system-alist
      (cons '("bash" . (raw-text-dos . raw-text-unix))
            process-coding-system-alist))

But I don't imagine that either of those is related to this.